# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/doxygen /usr/bin/valgrind boost-devel boost-devel-headers gcc-c++ libgtest-devel libmsgpack-devel perl(Config.pm) perl(Data/MessagePack.pm) perl(Devel/PPPort.pm) perl(Encode.pm) perl(File/Spec/Functions.pm) perl(Module/Build.pm) perl(Module/Build/XSUtil.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(base.pm) zlib-devel
# END SourceDeps(oneline)
%define module_name Data-MessagePack-Stream
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.04
Release: alt3
Summary: yet another messagepack streaming deserializer
Group: Development/Perl
License: perl
URL: https://github.com/typester/Data-MessagePack-Stream

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TY/TYPESTER/%{module_name}-%{version}.tar.gz
Patch: Data-MessagePack-Stream-1.04-alt-textrel.patch

%description
Data::MessagePack::Stream is streaming deserializer for MessagePack.

This module is alternate for the Data::MessagePack::Unpacker manpage.
Unlike original unpacker, this module support internal buffer and it's possible to handle streaming data correctly.

%prep
%setup -q -n %{module_name}-%{version}
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE
%perl_vendor_archlib/D*
%perl_vendor_autolib/*

%changelog
* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.04-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.04-alt2.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.04-alt1.1
- rebuild with perl 5.28.1

* Fri Dec 28 2018 Igor Vlasenko <viy@altlinux.ru> 1.04-alt1
- initial import by package builder

